<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RPresenceRedundancyGroup StructType
 * @subpackage Structs
 */
class RPresenceRedundancyGroup extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 255
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The server1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $server1;
    /**
     * The server2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $server2;
    /**
     * The haEnabled
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxOccurs: 1
     * - minOccurs: 0
     * - pattern: (t)|(f)|(true)|(false)|(0)|(1)
     * @var string
     */
    public $haEnabled;
    /**
     * The numUsers
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $numUsers;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RPresenceRedundancyGroup
     * @uses RPresenceRedundancyGroup::setName()
     * @uses RPresenceRedundancyGroup::setDescription()
     * @uses RPresenceRedundancyGroup::setServer1()
     * @uses RPresenceRedundancyGroup::setServer2()
     * @uses RPresenceRedundancyGroup::setHaEnabled()
     * @uses RPresenceRedundancyGroup::setNumUsers()
     * @uses RPresenceRedundancyGroup::setUuid()
     * @param string $name
     * @param string $description
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $server1
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $server2
     * @param string $haEnabled
     * @param string $numUsers
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $server1 = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $server2 = null, $haEnabled = null, $numUsers = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setServer1($server1)
            ->setServer2($server2)
            ->setHaEnabled($haEnabled)
            ->setNumUsers($numUsers)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RPresenceRedundancyGroup
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RPresenceRedundancyGroup
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get server1 value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getServer1()
    {
        return $this->server1;
    }
    /**
     * Set server1 value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $server1
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RPresenceRedundancyGroup
     */
    public function setServer1(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $server1 = null)
    {
        $this->server1 = $server1;
        return $this;
    }
    /**
     * Get server2 value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getServer2()
    {
        return $this->server2;
    }
    /**
     * Set server2 value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $server2
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RPresenceRedundancyGroup
     */
    public function setServer2(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $server2 = null)
    {
        $this->server2 = $server2;
        return $this;
    }
    /**
     * Get haEnabled value
     * @return string|null
     */
    public function getHaEnabled()
    {
        return $this->haEnabled;
    }
    /**
     * Set haEnabled value
     * @param string $haEnabled
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RPresenceRedundancyGroup
     */
    public function setHaEnabled($haEnabled = null)
    {
        $this->haEnabled = $haEnabled;
        return $this;
    }
    /**
     * Get numUsers value
     * @return string|null
     */
    public function getNumUsers()
    {
        return $this->numUsers;
    }
    /**
     * Set numUsers value
     * @param string $numUsers
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RPresenceRedundancyGroup
     */
    public function setNumUsers($numUsers = null)
    {
        $this->numUsers = $numUsers;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RPresenceRedundancyGroup
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
